Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks
Interface NotificationBus.Consumer

All Known Implementing Classes:
  NotificationBusDemo

Enclosing class:
  NotificationBus

    public static interface NotificationBus.Consumer

Method Summary
`java.io.Serializable` | `getCache()` Called on the coordinator to obtains its cache
`void` | `handleNotification(java.io.Serializable n)`
`void` | `memberJoined(Address mbr)`
`void` | `memberLeft(Address mbr)`

Method Detail

### handleNotification

    void handleNotification(java.io.Serializable n)

### getCache

    java.io.Serializable getCache()

  Called on the coordinator to obtains its cache

### memberJoined

    void memberJoined(Address mbr)

### memberLeft

    void memberLeft(Address mbr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.